skb_queue_head
Prev | Socket Buffer Functions | Next

## Name

skb_queue_head — queue a buffer at the list head

## Synopsis

`void skb_queue_head (` | struct sk_buff_head * | list,
| struct sk_buff * | newsk`)`;

## Arguments

`list`

  list to use

`newsk`

  buffer to queue

## Description

Queue a buffer at the start of the list. This function takes the list lock and can be used safely with other locking sk_buff functions safely.

A buffer cannot be placed on two lists at the same time.

Prev | Up | Next
skb_queue_purge | Home | skb_queue_tail